Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class SequenceAcknowledgement

    java.lang.Object
      org.apache.sandesha2.wsrm.SequenceAcknowledgement

All Implemented Interfaces:
  RMHeaderPart

    public class SequenceAcknowledgement

extends java.lang.Object
implements RMHeaderPart

Adds the SequenceAcknowledgement header block. Either RM10 or RM11 namespace supported

Constructor Summary
`SequenceAcknowledgement(java.lang.String namespaceValue, boolean _piggybacked)`

Method Summary
`Range` | `addAcknowledgementRanges(Range ackRange)`
`java.lang.Long` | `addNack(java.lang.Long nack)`
`java.lang.Object` | `fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock sequenceAckElement)`
`boolean` | `getAckFinal()`
`boolean` | `getAckNone()`
`java.util.List<Range>` | `getAcknowledgementRanges()`
`Identifier` | `getIdentifier()`
`java.util.List<java.lang.Long>` | `getNackList()`
`java.lang.String` | `getNamespaceValue()`
`org.apache.axiom.om.OMElement` | `getOriginalSequenceAckElement()`
`void` | `setAckFinal(boolean ackFinal)`
`void` | `setAckNone(boolean ackNone)`
`void` | `setAckRanges(java.util.ArrayList<Range> acknowledgementRagngesList)`
`void` | `setIdentifier(Identifier identifier)`
`void` | `toHeader(org.apache.axiom.soap.SOAPHeader header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceAcknowledgement

    public SequenceAcknowledgement(java.lang.String namespaceValue,
                                   boolean _piggybacked)

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

### fromHeaderBlock

    public java.lang.Object fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock sequenceAckElement)
                                     throws org.apache.axiom.om.OMException,
                                            SandeshaException

  Specified by:
    `fromHeaderBlock` in interface `RMHeaderPart`
  Throws:
    `org.apache.axiom.om.OMException`
    `SandeshaException`

### setIdentifier

    public void setIdentifier(Identifier identifier)

### setAckRanges

    public void setAckRanges(java.util.ArrayList<Range> acknowledgementRagngesList)

### addNack

    public java.lang.Long addNack(java.lang.Long nack)

### addAcknowledgementRanges

    public Range addAcknowledgementRanges(Range ackRange)

### getIdentifier

    public Identifier getIdentifier()

### getAcknowledgementRanges

    public java.util.List<Range> getAcknowledgementRanges()

### getNackList

    public java.util.List<java.lang.Long> getNackList()

### getAckFinal

    public boolean getAckFinal()

### setAckFinal

    public void setAckFinal(boolean ackFinal)

### getAckNone

    public boolean getAckNone()

### setAckNone

    public void setAckNone(boolean ackNone)

### getOriginalSequenceAckElement

    public org.apache.axiom.om.OMElement getOriginalSequenceAckElement()

### toHeader

    public void toHeader(org.apache.axiom.soap.SOAPHeader header)
                  throws SandeshaException

  Specified by:
    `toHeader` in interface `RMHeaderPart`
  Throws:
    `SandeshaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.